%global githash 9c19777

Name:		xs
Version:	0.1
Release:	16.git%{githash}%{?dist}
Summary:	Shell supporting functional programming

License:	Public Domain
URL:		https://github.com/frytvm
# downloaded from https://github.com/frytvm/XS/tarball/master
Source0:	frytvm-XS-%{githash}.tar.gz
Patch0:         xs-automake-1.12-bison-hxx.patch
Patch1:         xs-dump-cxx.patch

BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	boost-devel
BuildRequires:	gc-devel
BuildRequires:	gcc-c++
BuildRequires:	readline-devel

%description
Xs is a cleanly-designed shell with functional programming.  It is based off
the source-code for the es project, which was in the public domain.
Currently, the changes in xs can also be considered to be in the public domain.

Most of the xs source code remains untouched from es.
The primary authors of that shell can be found in that source code,
currently located at: ftp://ftp.sys.utoronto.ca/pub/es/. Modifications
since es-0.9-beta1 are all parts of xs and have been written by
Frederic Koehler.


%prep
%setup -q -n frytvm-XS-%{githash}
%if 0%{?fedora} >= 18
# patch for automake-1.12
%patch0 -p1 -b .orig
%endif
%patch1 -p0 -b .orig


%build
autoreconf -i
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%check
make testxs


%files
%doc COPYING README
%{_bindir}/xs
%{_mandir}/man1/xs.1*


%changelog
* Thu Jul 23 2015 Jonathan Wakely <jwakely@redhat.com> 0.1-16.git
- Patch dump.cxx to make foreach loop use references not copies.

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.1-15.git9c19777
- rebuild for Boost 1.58

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-14.git9c19777
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.1-13.git9c19777
- Rebuild for boost 1.57.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12.git9c19777
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 12 2014 Jens Petersen <petersen@redhat.com> - 0.1-11.git9c19777%{?dist}
- pass -i to autoreconf

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10.git9c19777
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.1-9.git9c19777
- Rebuild for boost 1.55.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8.git9c19777
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.1-7.git9c19777
- Rebuild for boost 1.54.0

* Fri Feb  1 2013 Jens Petersen <petersen@redhat.com> - 0.1-6.git9c19777%{?dist}
- patch for automake-1.12 using .hxx for bison output
- explicitly BR gcc-c++

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5.git9c19777
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4.git9c19777
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3.git9c19777
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep  7 2011 Jens Petersen <petersen@redhat.com> - 0.1-2.git9c19777
- fix description, use install -p, and include COPYING (Parag Nemade, #735705)
- add a check section

* Fri Sep  2 2011 Jens Petersen <petersen@redhat.com> - 0.1-1.git9c19777
- initial packaging
